Bug 165846 - CAN-2005-2498 PHP PEAR:XMLRPC eval code injection
CAN-2005-2498 PHP PEAR:XMLRPC eval code injection
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=important,embargo=yes,source=v...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-12 16:03 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-748
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 13:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-08-12 16:03:26 EDT
This issue was discovered by Stefan Esser:

This time it is not an escaping issue, but a logical error that allows
an attacker to nest XML tags in a way, that a single doublequote will be
appended to the eval string. The next string tag will add another
doublequote, then the string data and a closing doublequote. It should
be obvious that this means the stringdata is not handled as string but
as actual code due to this.
Comment 1 Josh Bressers 2005-08-12 16:04:19 EDT
This issue should also affect RHEL3
Comment 2 Josh Bressers 2005-08-15 09:10:04 EDT
This issue is now public:
http://marc.theaimsgroup.com/?l=full-disclosure&m=112410998530016&w=2
Comment 3 Red Hat Bugzilla 2005-08-19 13:38:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-748.html

Note You need to log in before you can comment on or make changes to this bug.